#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-I63, 5724-H88, 5655-N01, 5733-W60 (C) COPYRIGHT International Business Machines Corp., 1997,2005
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Launch osgiCfgInit

# Launch Arguments:
#   none
#

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ -n "$USER_INSTALL_ROOT" ] && [ -f "$USER_INSTALL_ROOT"/configuration/config.ini ]; then
  rm "$USER_INSTALL_ROOT"/configuration/config.ini
fi

"$JAVA_HOME"/bin/java \
  "$OSGI_INSTALL" "$OSGI_CFG"  \
  -classpath "$WAS_CLASSPATH" \
  org.eclipse.core.launcher.Main -clean -nosplash -application com.ibm.ws.debug.osgi.Noop

launchExit=$?

# First test to see if the default (OSGI_CFG) is the $WAS_HOME/configuration directory - if so skip this --
# else test to see if there is any cached data (look to see if the org.eclipse.core.runtime
# OR org.eclipse.osgi directory exists)  If so clean the cache.
if [ "${OSGI_CFG}" != "-Dosgi.configuration.area=${WAS_HOME}/configuration" ] &&
   ( [ -d ${WAS_HOME}/configuration/org.eclipse.core.runtime ] ||
     [ -d ${WAS_HOME}/configuration/org.eclipse.osgi ]
   ) ;
then
        OSGI_INSTALL="-Dosgi.install.area=${WAS_HOME}"
        OSGI_CFG="-Dosgi.configuration.area=${WAS_HOME}/configuration"
        export OSGI_INSTALL OSGI_CFG

        "$JAVA_HOME"/bin/java \
          "$OSGI_INSTALL" "$OSGI_CFG"  \
          -classpath "$WAS_CLASSPATH" \
          org.eclipse.core.launcher.Main -clean -nosplash -application com.ibm.ws.debug.osgi.Noop
        rc=$?

        if [ "$launchExit" = "0" ] ;
        then launchExit=$rc ;
        fi
fi


exit `expr $launchExit + $?`